Raised This Month: $95 Target: $400
 23% 

Release Sourcemod Store (Includes Download)


Post New Thread Reply   
 
Thread Tools Display Modes
Koga73
Senior Member
Join Date: Mar 2011
Location: 🍩
Old 02-16-2015 , 03:36   Re: Store Beta [1.2-beta fork3]
Reply With Quote #21

So it's currently working right now or? With the new steam update & sourcemod.
Also thanks for taking over the work! Greatly appreciated.
__________________

Last edited by Koga73; 02-16-2015 at 03:48.
Koga73 is offline
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 02-16-2015 , 16:33   Re: Store Beta [1.2-beta fork3]
Reply With Quote #22

Quote:
Originally Posted by Koga73 View Post
So it's currently working right now or? With the new steam update & sourcemod.
Also thanks for taking over the work! Greatly appreciated.
If you follow instructions for installing both the store plugins/modules and the webpanel, it should work as long as you're running Sourcemod 1.6.
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
Robin955
Veteran Member
Join Date: Jun 2013
Old 02-20-2015 , 21:40   Re: Store Beta [1.2-beta fork3]
Reply With Quote #23

whats the difference between this and the original one? only SM 1.7 support? and some bug fixes?
Robin955 is offline
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 02-21-2015 , 02:13   Re: Store Beta [1.2-beta fork3]
Reply With Quote #24

Quote:
Originally Posted by Robin955 View Post
whats the difference between this and the original one? only SM 1.7 support? and some bug fixes?
1-2 new features, bug fixes & some compatibility updates.
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
PersianMG
Member
Join Date: Dec 2014
Old 02-22-2015 , 07:19   Re: Store Beta [1.2-beta fork3]
Reply With Quote #25

Quote:
Originally Posted by r3dw3r3w0lf View Post
1-2 new features, bug fixes & some compatibility updates.
Wait so are you saying this version works with Sourcemod 1.7?
I'm just about to rollback to 1.6 :p
PersianMG is offline
Niak
SourceMod Donor
Join Date: Mar 2011
Location: France
Old 02-26-2015 , 11:33   Re: Store Beta [1.2-beta fork3]
Reply With Quote #26

Thanks for the work, this is a great help.

I just got a problem with the database because i used the old version. The field list "aquire_method" change to "acquire_method" for your newer version. I fixed this on my sql backup.
__________________

Last edited by Niak; 02-26-2015 at 11:39.
Niak is offline
Schpraaankiii
Veteran Member
Join Date: Dec 2009
Location: Sweden Norrköping
Old 02-27-2015 , 01:46   Re: Store Beta [1.2-beta fork3]
Reply With Quote #27

I can bring up the main store menu but not inventory.
Quote:
[SM] Native "Call_StartFunction" reported: Invalid function id (0)
[SM] Displaying call stack trace for plugin "store-backend.smx":
[SM] [0] Line 922, D:\SourcePawn\store\scripting\store-backend.sp::T_GetUserItemsCallback()
[SM] Native "Call_StartFunction" reported: Invalid function id (0)
[SM] Displaying call stack trace for plugin "store-backend.smx":
[SM] [0] Line 1112, D:\SourcePawn\store\scripting\store-backend.sp::BuyItemGiveItemCallback()
When I used Store 1.1 everything except the inventory worked. I got the backend error with that version as well.
__________________
CAOSK-ESPORTS.COM

Last edited by Schpraaankiii; 02-27-2015 at 05:28.
Schpraaankiii is offline
Send a message via Skype™ to Schpraaankiii
Drixevel
AlliedModders Donor
Join Date: Sep 2009
Location: Somewhere headbangin'
Old 02-27-2015 , 11:14   Re: Store Beta [1.2-beta fork3]
Reply With Quote #28

Quote:
Originally Posted by Schpraaankiii View Post
I can bring up the main store menu but not inventory.


When I used Store 1.1 everything except the inventory worked. I got the backend error with that version as well.
Download the latest version off Github, that should be fixed. The reason why you were getting that error before is because the plugin set wasn't compatible fully with 1.7.
__________________
My [Dev] Website | Discord: Drixevel#5049
Drixevel is offline
Schpraaankiii
Veteran Member
Join Date: Dec 2009
Location: Sweden Norrköping
Old 02-27-2015 , 11:23   Re: Store Beta [1.2-beta fork3]
Reply With Quote #29

Quote:
Originally Posted by r3dw3r3w0lf View Post
Download the latest version off Github, that should be fixed. The reason why you were getting that error before is because the plugin set wasn't compatible fully with 1.7.
Thx! Works
__________________
CAOSK-ESPORTS.COM
Schpraaankiii is offline
Send a message via Skype™ to Schpraaankiii
red4911
Senior Member
Join Date: Sep 2010
Location: Russia
Old 02-27-2015 , 15:44   Re: Store Beta [1.2-beta fork3]
Reply With Quote #30

Quote:
Originally Posted by r3dw3r3w0lf View Post
Download the latest version off Github, that should be fixed. The reason why you were getting that error before is because the plugin set wasn't compatible fully with 1.7.
Errors compile ?

Quote:
//SourceMod Batch Compiler
// by the SourceMod Dev Team


//// store-backend.sp
//
// D:\1.7.1\scripting\store-backend.sp(260) : warning 237: coercing functions to
and from primitives is unsupported and will be removed in the future
// D:\1.7.1\scripting\store-backend.sp(379) : warning 237: coercing functions to
and from primitives is unsupported and will be removed in the future
// D:\1.7.1\scripting\store-backend.sp(569) : warning 237: coercing functions to
and from primitives is unsupported and will be removed in the future
// D:\1.7.1\scripting\store-backend.sp(627) : warning 237: coercing functions to
and from primitives is unsupported and will be removed in the future
// D:\1.7.1\scripting\store-backend.sp(676) : warning 237: coercing functions to
and from primitives is unsupported and will be removed in the future
// D:\1.7.1\scripting\store-backend.sp(1466) : warning 237: coercing functions t
o and from primitives is unsupported and will be removed in the future
// D:\1.7.1\scripting\store-backend.sp(1537) : warning 237: coercing functions t
o and from primitives is unsupported and will be removed in the future
// Code size: 57652 bytes
// Data size: 1271636 bytes
// Stack/heap size: 16384 bytes
// Total requirements: 1345672 bytes
//
// 7 Warnings.
//
// Compilation Time: 1,26 sec
// ----------------------------------------

//// store-inventory.sp
//
// D:\1.7.1\scripting\store-inventory.sp(570) : warning 237: coercing functions
to and from primitives is unsupported and will be removed in the future
// Code size: 32840 bytes
// Data size: 8652 bytes
// Stack/heap size: 16384 bytes
// Total requirements: 57876 bytes
//
// 1 Warning.
//
// Compilation Time: 0,52 sec
// ----------------------------------------

Press enter to exit ...

Last edited by red4911; 02-27-2015 at 16:49.
red4911 is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 20:02.


Powered by vBulletin®
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Theme made by Freecode